<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <title>{% block title %}
        {% endblock title %}</title>

    {% block head %}
    {% endblock head %}

</head>

<body>

    <nav>
        <a href="{% url "news:create_article" %}">Publish new article</a> |
        <a href="{% url "news:news_home" %}">All News</a> |
        {% if request.user.is_authenticated %}
        <a href="{% url "accounts:logout" %}">Logout</a> |
        {% else %}
        <a href="{% url "accounts:login" %}">Login</a> |
        <a href="{% url "accounts:register" %}">Register</a> |
        {% endif %}
        
    </nav>
    <hr>
    {% block body %}
    {% endblock body %}

    {% block script %}
    {% endblock script %}

</body>

</html>